import gradio as gr
from transformers import pipeline, AutoTokenizer, AutoConfig, AutoModelForSequenceClassification

modelName="finiteautomata/bertweet-base-sentiment-analysis"
sentimentPipeline = pipeline("sentiment-analysis", model=modelName)

def sentiment_analysis(text):
    results = sentimentPipeline(text)

    return f"Sentiment: {results[0].get('label')}, Score: {results[0].get('score'):.2f}" 
    
demo = gr.Interface(fn=sentiment_analysis, 
                    inputs='text', 
                    outputs='text',
                    title = "文本情感分析"
                    )


if __name__ == "__main__":
    demo.queue(concurrency_count=3)
    demo.launch(server_name = "0.0.0.0", server_port = 7028)
